Bug 23176 - "forgot to set AF_INET in udp sendmsg" caused by pmap_clnt.c bug
Summary: "forgot to set AF_INET in udp sendmsg" caused by pmap_clnt.c bug
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc   
(Show other bugs)
Version: 7.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
: 16826 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-02 21:01 UTC by John Kohl
Modified: 2016-11-24 14:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-03 09:35:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2001:001 high SHIPPED_LIVE : glibc file read or write access local vulnerability 2001-01-11 05:00:00 UTC

Description John Kohl 2001-01-02 21:01:03 UTC
I've seen the above captioned error in our daemons, and tracked it down
to the Sun ONC RPC runtime library's failure to error check some code
when pmap_unset() is called to deregister a server.  The error only
occurs when the networking on a system has been shut down before our
daemon is killed, in which case this code inside __get_myaddress() fails
to find any valid addresses and leaves its argument as stack
garbage. (I've verified this with strace.)

We've seen it with Red Hat 6.2 (i386) and Red Hat 7.0 beta (ia64)
The pmap_* libraries are not materially different between 6.2 and 7.0
(glibc 2.1 vs. 2.2)

Comment 1 Daniel Roesen 2001-01-03 09:35:24 UTC
I saw that error message with bind on a dialup RH 6.2 machine as well.

Comment 2 Jakub Jelinek 2001-01-11 22:51:49 UTC
Should be fixed in glibc-2.2-12.

Comment 3 giulioo 2001-01-15 22:37:59 UTC
*** Bug 16826 has been marked as a duplicate of this bug. ***

Comment 4 Forrest 2001-02-13 01:16:34 UTC
I have the same problem with Redhat 6.2.  I do not want to upgrade to glibc 2.2-
12.  Does anyone have the patch that fixes this?

Comment 5 Jakub Jelinek 2001-02-13 12:49:42 UTC
1) they are harmless
2) the patch can be seen at http://sources.redhat.com/ml/libc-hacker/2001-01/msg00018.html


Note You need to log in before you can comment on or make changes to this bug.